struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton" <niall.pember...@gmail.com>
Subject Re: [action1] Which webapp dtds to include in struts-core.jar?
Date Sat, 15 Apr 2006 13:12:27 GMT
On 4/15/06, Craig McClanahan <craigmcc@apache.org> wrote:
> On 4/14/06, Wendy Smoak <wsmoak@gmail.com> wrote:
> >
> > Do we need to include webapp-2_2.dtd in struts-core.jar?  I deleted it
> > as part of the reorganization [1], so only the webapp 2.3 dtd remains.
> > Should we include the one for 2.4 as well?
>
>
> We need the 2.2 DTD if Struts continues to support Servlet 2.2.  We should
> also definitely include the 2.4 DTD, as that is now a popular platform.  To
> make the inclusion effective, though, we'll also want to make sure it gets
> registered with the Digester that processes config files -- otherwise,
> including it will not make any difference.

Since we decided that Struts 1.3 would have a minimum dependency of
Servlet 2.3 then we shouldn't include the 2,2 DTD as it will only lead
to confusion and imply that we are supporting Servlet 2.2.

Niall

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message